<?php
/**
 * @package Convert Experiments for Joomla!
 * @version 1.0
 * @author Polished Geek LLC
 * @website https://www.polishedgeek.com/ 
 * @copyright (C) 2012 Polished Geek LLC. All rights reserved.
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 */



// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.plugin.plugin' );

class plgSystemJoomla2convert extends JPlugin {
	/**
	 * Remove after Joomla bug has been fixed
	 * Currently J2.5.4
	 * Bug in application.php, See bottom of this class for more
	 */
	protected $_messageQueue = array();
	
	

	/**
	 * Constructor
	 *
	 * For php4 compatability we must not use the __constructor as a constructor for plugins
	 * because func_get_args ( void ) returns a copy of all passed arguments NOT references.
	 * This causes problems with cross-referencing necessary for the observer design pattern.
	 *
	 * @access      protected
	 * @param       object  $subject The object to observe
	 * @param       array   $config  An array that holds the plugin configuration
	 * @since       1.0
	 
	function plgSystemVmbfcustomfields( &$subject, $config )
	{
			parent::__construct( $subject, $config );

			// Do some extra initialisation in this constructor if required
	}*/
	
	public function __construct(& $subject, $config)
	{
		parent::__construct($subject, $config);
//			$this->loadLanguage();
	}

	/**
	 * Do something onAfterInitialise 
	 */
	function onAfterInitialise(){
	}

	/**
	 * Do something onAfterRoute 
	 */
	function onAfterRoute(){
	}

	/**
	 * Do something onAfterDispatch 
	 */
	function onAfterDispatch(){
		global $_SESSION, $_REQUEST;
		
		$application = JFactory::getApplication();
		if($application->isAdmin()) {
			return;
		}
		
		$project_num = (string)$this->params->get('project_num');
		if(strlen($project_num) < 3) {
			return;
		}
		
		$db =& JFactory::getDBO();
		$doc =& JFactory::getDocument();
		$user =& JFactory::getUser();
		$groups = (array)$user->getAuthorisedGroups();
		$vars = '';
		$vars .= "var REED_plugin_id  = '104';";
		$vars .= "var REED_customer_id='".$user->get('id')."';";
		$vars .= "var REED_page_type='".$_REQUEST['view']."';";
		$vars .= "var REED_custom_v1='".$_REQUEST['option']."';";
		$vars .= "var REED_custom_v2='".implode(';', $groups)."';";
		$vars .= "var REED_custom_v4='".$_REQUEST['Itemid']."';";
		
		$script1 = 'var REED_host = (("https:" == document.location.protocol) ? "https://s"+"3.ama"+"zonaw"+"s.com/statics"+".reedge.com" : "http://statics"+".reedge.com");
					var REED_s = \'REED_'.$project_num.'\';
					var REED_f;
					if((typeof(jQuery) != "undefined")) 
						REED_f="REED_main_no_jquery.js";
					else 
						REED_f="REED_main.js";
						document.write(unescape("%3Cscript src=\'" + REED_host + "/js/"+REED_f+"\' type=\'text/javascript\'%3E%3C/script%3E"));';
		
		
		if($_REQUEST['option'] == 'com_content') {
			if($_REQUEST['view'] == 'article' && isset($_REQUEST['id'])) {
				$query = 'SELECT cont.catid as cat_id, cat.title AS cat_title FROM #__content as cont LEFT JOIN #__categories as cat ON cont.catid = cat.id WHERE cont.id = '.$_REQUEST['id'];
				$result = $db->setQuery($query)->loadAssoc();
				
				$vars .= "var REED_custom_v3='".$_REQUEST['id']."';";
				$vars .= "var REED_category_id='".$result['cat_id']."';";
				$vars .= "var REED_category_name='".$result['cat_title']."';";
			}
			
			if($_REQUEST['view'] == 'category' && isset($_REQUEST['id'])) {
				$vars .= "var REED_category_id='".$_REQUEST['id']."';";
				$vars .= "var REED_category_name='".$db->setQuery('SELECT title FROM #__categories WHERE id='.$_REQUEST['id'])->loadResult()."';";
			}
		}
		
		$doc->addScriptDeclaration($vars);
		$doc->addScriptDeclaration($script1);
	}
}